Summary: Utility for internationalizing various kinds of data files
Name: intltool
Version: 0.51.0
Release: 3%{?dist}
License: GPLv2 with exceptions
URL: https://launchpad.net/intltool
Source: https://edge.launchpad.net/intltool/trunk/%{version}/+download/intltool-%{version}.tar.gz
Patch3000: intltool-perl5.26-regex-fixes.patch
Patch3001: intltool-merge-Create-cache-file-atomically.patch
Patch3002: intltool_distcheck-fix.patch

BuildRequires: make
BuildRequires: perl-generators perl(Getopt::Long) perl(XML::Parser) gettext
Requires: patch automake
Requires: gettext-devel perl(Getopt::Long) perl(XML::Parser)

BuildArch: noarch

%description
This package automatically extracts translatable strings from oaf, glade,bonobo ui, nautilus 
theme, .desktop, and other data files and puts them in the po files.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%check
if ! make check; then
    find . -type f -name 'test-suite.log' | while read trs; do
	echo "BEGIN " ${trs}; cat ${trs} 1>&2;
    done
    echo  "Exiting abnormally due to make check failure above" 1>&2
    exit 1
fi

%files
%license COPYING
%doc AUTHORS README
%{_bindir}/intltool*
%{_datadir}/intltool
%{_datadir}/aclocal/intltool.m4
%{_mandir}/man8/intltool*.8*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.51.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.51.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Dec 6 2022 Wang Guodong <gordonwwang@tencent.com> - 0.51.0-1
- package init.
